PureClarity for Magento 2
=========================

Integrate your Magento 2 store with PureClarity for the ultimate Personalised Ecommerce Experience.

Compatibility
-------------

- Magento 2.2 and above
- Supports both Open Source and Commerce editions
- PHP 7.1+

Description
-----------

[PureClarity](http://www.pureclarity.com) gives your Magento store an amazing advantage over your competition by providing:

- Real-time personalised product recommendations
- Personalised popups
- Personalised content
- Live chat
- Powerful personalised emails
- Personalised recommendations within search

Integrate in minutes – our plugin seamlessly links your store to PureClarity. Instantly start to increase your revenue by providing a highly personalised and engaging online shopping experience!

For more information on the features and benefits of PureClarity, please visit [www.pureclarity.com](http://www.pureclarity.com)

Installation
------------

Install PureClarity for Magento 2 using [Composer](https://getcomposer.org/) by running the following commands:

- ```$ composer require pureclarity/pureclarity-magento-2 --no-update```
- ```$ composer update```
- ```$ bin/magento module:enable Pureclarity_Core```
- ```$ bin/magento setup:upgrade```
- ```$ bin/magento setup:static-content:deploy```
- ```$ bin/magento setup:di:compile```
  
What does the extension do?
---------------------------

The PureClarity Magento 2 extension does the following:

- Allows you to sign up for a 30-day free trial.
- Ensures data integrity between your store and PureClarity through cron jobs and indexing.
- Gives you guidance on the initial setup of PureClarity in your store.
- Sets up the [Zones](https://docs.pureclarity.com/en/collections/2028411-pureclarity-academy#zones) for the Home Page, Product Page, Basket Page and Order Confirmation Page.
- Tracks events on your stores frontend to ensure up to date information is used in recommendations.

[Click here to see instructions on how to sign up for a free trial](https://docs.pureclarity.com/en/articles/4719928-magento-2-x-free-trial-signup)

Support
-------

If you face any issues while using the extensions, or have any questions, please contact [support@pureclarity.com](mailto:support@pureclarity.com). Please include the version & edition of Magento you're using as well as the version of the PureClarity extension. 

[Documentation](https://docs.pureclarity.com/en/collections/2545031-magento-2-x-integration)
